/*----------------------------- mark_sec -----------------------------*/
.mark_sec::before {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    background: url(/images/mark_bg.png) no-repeat center/cover;
    opacity: .15;
    position: absolute;
    top: 0;
    left: 0;
}
.mark_img {
    width: 360px;
    margin: 0 auto 20px;
    transform: scale(.5);
    opacity: 0;
}
.mark_title {
    margin-bottom: 40px;
    font-size: var(--ft36);
    font-weight: var(--semi-bold);
    color: var(--white);
    transform: translateY(20px);
    opacity: 0;
}
.mark_text {
    font-size: var(--ft18);
    color: var(--white);
    transform: translateY(20px);
    opacity: 0;
}

/*----------------------------- location_sec -----------------------------*/
.location_sec {
    margin-top: var(--sec-gap);
    opacity: 0;
}
.sec_title {
    font-size: var(--ft28);
    font-weight: var(--semi-bold);
    color: var(--white);
}
.search_box {
    width: 100%;
    max-width: 100%;
    height: 80px;
    padding-left: 50px;
    padding-right: 36px;
    margin-top: 40px;
}
.search_box input {
    font-size: var(--ft18);
}
.location_wrap {
    height: 700px;
    margin-top: 32px;
    display: flex;
    gap: 32px;
}
.location_list_box {
    width: 390px;
    height: 100%;
    border-radius: var(--radius);
    background-color: var(--white);
    flex-shrink: 0;
    overflow: hidden;
}
.location_list_box .scroll {
    height: 100%;
    overflow-y: scroll;
}
.location_list_box .scroll::-webkit-scrollbar {
    width: 5px;
}
.location_list {
    width: 100%;
    height: auto;
    padding: 20px;
}
.location_list li {
    width: 100%;
    padding: 24px;
    margin-bottom: 10px;
    border: 1px solid var(--dark-line);
    border-radius: var(--radius-md);
    background-color: var(--white);
    transition: background .4s var(--cubic);
    cursor: pointer;
}
.location_list li:last-child {
    margin-bottom: 0;
}
.location_list li:hover {
    background-color: var(--gray-100);
}
.location_list p {
    margin-top: 8px;
    color: var(--gray-600);
}
.location_title {
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
    margin-bottom: 20px;
}
.location_list .no-result {
    border: none;
    text-align: center;
}

.location_map {
    width: 100%;
    height: 100%;
    border-radius: var(--radius);
    background-color: #A5D1F2;
}

.infowindow {
    width: 300px;
    padding: 20px;
}
.infowindow strong {
    display: block;
    font-size: var(--ft16);
    font-weight: var(--semi-bold);
    margin-bottom: 8px;
}
.infowindow p {
    display: block;
    margin-bottom: 12px;
    font-size: var(--ft14);
    color: var(--gray-600);
}
.infowindow a {
    width: 100%;
    height: 36px;
    border-radius: 8px;
    background-color: var(--primary);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: var(--ft14);
    font-weight: var(--medium);
    color: var(--white);
}


@media all and (max-width: 1600px) {
    .mark_img {
        width: 300px;
    }
    .mark_title {
        margin-bottom: 32px;
        font-size: var(--ft32);
    }

    .sec_title {
        font-size: var(--ft24);
    }
    .search_box {
        margin-top: 32px;
    }
    .location_wrap {
        margin-top: 24px;
        gap: 24px;
    }
}

@media all and (max-width: 1200px) {
    .search_box {
        height: 65px;
    }
    .location_wrap {
        height: 600px;
    }
    .location_list_box {
        width: 340px;
    }
}

@media all and (max-width: 1024px) {
    .mark_img {
        width: 240px;
    }
    .mark_title {
        margin-bottom: 28px;
        font-size: var(--ft28);
    }
    .mark_text {
        font-size: var(--ft16);
    }

    .search_box {
        padding: 0 20px;
    }
    .location_wrap {
        height: auto;
        flex-direction: column;
    }
    .location_list_box {
        width: 100%;
        max-height: 400px;
        order: 2;
    }
    .location_map {
        height: 400px;
    }
}

@media all and (max-width: 768px) {
    .mark_img {
        width: 180px;
    }
    .mark_title {
        margin-bottom: 20px;
        font-size: var(--ft24);
    }
    .sec_title {
        font-size: var(--ft20);
    }
    .search_box {
        margin-top: 20px;
    }

    .location_list_box {
        max-height: 240px;
    }
    .location_list {
        padding: 0;
    }
    .location_list li {
        border-radius: 0;
        border: none;
        border-bottom: 1px solid var(--dark-line);
        padding: 20px;
        margin-bottom: 0;
    }
    .location_list .location_title {
        font-size: var(--ft16);
        margin-bottom: 12px;
    }
    .location_list p {
        margin-top: 6px;
        font-size: var(--ft14);
    }
    .location_map {
        height: 300px;
    }

    .infowindow {
        width: 200px;
        padding: 10px;
    }
    .infowindow strong {
        font-size: var(--ft14);
    }
    .infowindow p {
        display: none;
    }
}